Friday, March 23, 2007

Updating your Textmate Bundles (UTF-8) issue

Assuming you got your bundles from svn... (you did didn't you?) ... then you can update them in the following way.
cd /Library/Application\ Support/TextMate/Bundles
svn up *.tmbundle
Doing this I got an error though
subversion/libsvn_subr/utf.c:466: (apr_err=22)
svn: Can't convert string from 'UTF-8' to native encoding:
subversion/libsvn_subr/utf.c:464: (apr_err=22)
svn: Ruby.tmbundle/Preferences/Completion: ENV[?\226?\128?\166] variables.tmPreferences
This is to do with having a local set that doesn't allow UTF-8.
export LC_CTYPE="en_US.UTF-8"
export LANG="en_US.UTF-8"
will fix it. Add them to your ~/.bash_profile to make the change permanent.
Post a Comment

GitHub Projects